.popup {
	display: block;
	width: 100vw;
	height: 100vh;
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	opacity: 0;
	pointer-events: none;
	z-index: 100000;
	transition: opacity 0.5s ease;
	overflow: hidden;
}

.open .popup {
	opacity: 1;
	pointer-events: all;
	transition: opacity 0.5s ease;
}
  
.popup .shader {
	width: 100vw;
	height: 100vh;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(255, 255, 248, 0.65);
	cursor: pointer;
	z-index: 100001;
	transition: opacity 0.5s ease;
}

.popup .alert.center {
	position: relative;
    width: 100%;
    max-width: 335px;
    height: auto;
    transform: translate(0%, 30%);
    margin: 0 auto;
    transition: .5s ease-in-out;
    z-index: 100002;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
.popup.light .alert.center {
    color: #000;
    background-color: #F7F6F0;
}
.popup.blue .alert.center {
    color: #fff;
    background-color: #1D2F49;
}

.popup .alert.center .content-section{
	position: relative;
	padding: 30px 15px;
	max-width: 340px;
}
.popup .alert.center .content-section.no-logo{
	position: relative;    
	padding: 50px 15px 30px;
	max-width: 340px;
}
.popup .alert.center .content-section .close{
	position: absolute;
	top: 20px;
	right: 25px;
	cursor: pointer;
}
.popup.form .newsletter-signup {
	display: unset;
}
.popup.form .cta-button,
.popup.no-form .newsletter-signup{
	display: none;
}
.popup.no-form .cta-button .button{
    color: #F7F6F0;
    background-color: #ffc337;
    padding: 10px 30px;
}

.popup .alert .description {
	font-size: 15px;
	text-align: left;
	font-family: 'Muli', sans-serif;
	color: #1d2f49;
	margin-bottom: 25px;
	overflow: auto;
	max-height: 100px;
}

.popup.blue .alert .description {
	font-size: 15px;
	margin: 10px 0 20px;
	text-align: left;
	font-family: 'Muli', sans-serif;
	color: #fff;
}

.popup .alert > * {
	z-index: 1;
}

.popup .alert .close-btn {
	position: absolute;
    right: 12px;
    top: 14px;
    cursor: pointer;
    height: 20px;
    color: #63B9D0;
    width: 20px;
    font-size: 24px;
}

.popup .alert .img-cont .desktop {
	display: none;
}
.popup .alert .img-cont .mobile {
	display: block;
}
.popup.light .alert .content-section .logo-light .mobile,
.popup.blue .alert .content-section .logo-blue .mobile{
	display: block;
	position: relative;
	margin-bottom: 10px;
	bottom: 10px;
	max-width: 175px;
	max-height: 50px;
}
.popup.light .alert .content-section .logo-light .desk,
.popup.light .alert .content-section .logo-blue, 
.popup.blue .alert .content-section .logo-blue .desk,
.popup.blue .alert .content-section .logo-light {
	display: none;
}

.popup .content-top {
	margin-bottom: 20px;
}

.popup h2.title {
	font-family: var(--font-display);
	font-size: 30px;
	font-weight: bold;
	margin-bottom: 15px;
	color: #1d2f49;
	text-align: left;
	line-height: 1.15em;
}

.popup.blue h2.title {
	color: #fff;
}

.popup.light .alert form.form-basic input[type="text"].form-control {
	font-size: 16px;
    color: #2A2924;
    font-weight: 700;
    padding-left: 10px;
    background: #F7F6F0;
	opacity: 1;
	height: 40px;
}
.popup.blue .alert form.form-basic input[type="text"].form-control {
	font-size: 16px;
    color: #2A2924;
    font-weight: 700;
    padding-left: 10px;
    background: #F7F6F0;
	opacity: 1;
	height: 40px;
}
.popup .alert form.form-basic input[type="text"].form-control::placeholder{
	color: #2A2924;
	opacity: 1;
}
.popup .alert form.form-basic button {
	padding: 0px;
    min-height: 40px;
    display: flex;
	place-content: center;
    align-items: center;
    font-weight: 700;
    color: #fff;
    width: 175px;
}

.popup.no-form .alert .more-info {
    display: flex;
}

.popup .alert.center form.form-basic .form-group{
	margin-top: 20px;
	display: flex;
    gap: 10px;	
}

@media screen and (min-width: 64em) {
	.popup .alert .img-cont img.desktop {
		display:block;
		aspect-ratio: 384 / 450;
		width: 384px;
		height: auto;
	}
	.popup .alert .img-cont {
		min-width: 384px;
	}
	.popup .alert .img-cont .mobile {
		display: none;
	}
	.popup.blue .alert .content-section .logo-blue .desk,
	.popup.light .alert .content-section .logo-light .desk{
		display: block;
		max-width: 255px;
	}
	.popup.light .alert .content-section .logo-light .mobile,
	.popup.light .alert .content-section .logo-blue, 
	.popup.blue .alert .content-section .logo-blue .mobile,
	.popup.blue .alert .content-section .logo-light {
		display: none;
	}
	.popup .alert.center {
		position: relative;
		min-width: 800px;
		height:450px;
		transform: translate(0%, 50%);
		margin: 0 auto;
		transition: .5s ease-in-out;
		z-index: 100002;
		box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.8);
		display: flex;
		flex-direction: row;
		align-items: center;
		text-align: center;
	}
	.popup .alert.center .content-section {
		position: relative;
		height: 100%;
		width: 425px;
		max-width: unset;
		padding: 115px 20px 50px;
		padding: 0;
		display: flex;
		flex-direction: column;
		padding: 20px 15px;
	}
	.popup .alert.center .content-section.no-logo {
		position: relative;
		height: 100%;
		width: 425px;
		max-width: unset;		
		padding: 50px 20px;
	}
	.popup.blue h2.title,
	.popup h2.title {
		font-family: var(--font-display);
		font-size: 44px;
		font-weight: bold;
		margin-bottom: 15px;
		text-align: left;
	}
	.popup.blue .alert .description,
	.popup .alert .description {
		font-family: var(--font-body);
		font-weight: 400;
		font-size: 18px;
		text-align: left;
		margin-bottom: 40px;
		max-height: 120px;
		overflow: auto;
	}
	.popup.blue .alert .content-section.no-logo .description,
	.popup .alert .content-section.no-logo .description {
		font-family: var(--font-body);
		font-weight: 400;
		font-size: 18px;
		margin: 20px 0;
		text-align: left;
	}
	.popup .alert form.form-basic button {
		padding: 0px;
		min-height: 40px;
		display: flex;
		place-content: center;
		font-weight: 800;
		color: #fff;
		width: 180px;
		font-size: 18px;
	}
}
	
